/* ==== CSS GENERAL e inicio === */
:root {
    --blanco: #ffffff;
    --oscuro: #0d141b;
    --primario_texto: #0d141b;
    --secundario_texto: #4c739a;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

.fondo {
    background-color: #cdd4d283;
    opacity: 1;
}

.fondo-header {
    background-color: #cdd4d283;
    opacity: 1;
    background: linear-gradient(90deg, rgba(205, 212, 210, 0.001) 18%, rgba(30, 184, 81, 0.20) 50%, rgba(205, 212, 210, 0.001) 82%);
}

.size-20 {
    width: 7rem !important;
    height: 3.5rem !important;
}

.logo1 img {
    width: 12rem;
    height: 3rem;
}

/* ==== CSS INDEX === */

/* header */

@media (min-width: 600px) and (max-width: 1200px) {
    .logo1 {
        margin-left: 8rem;
    }
}

@media (min-width: 600px) and (max-width: 1275px) {
    .contenedorprincipal {
        padding-left: 2rem !important;
        padding-right: 2rem !important;
    }
}

@media (min-width: 320px) and (max-width: 559px) {
    .contenedorprincipal {
        padding-left: 1.3rem !important;
        padding-right: 1.3rem !important;
    }

    .contenerdorprincipal-img {
        min-height: 280px;
    }
}

.iconohamburguesa {
    width: 3rem;
    height: 3rem;
}

.menuhamburguesa {
    background-color: #ebeeed;
    opacity: 1;
}

.social {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10rem;
    margin-top: 2rem;
}

.social li {
    display: inline;
    list-style: none;
}

.social a svg {
    transition: transform 0.3s ease, filter 0.3s ease;
}

.social a:hover svg {
    transform: translateY(-6px) scale(1.15);
    filter: drop-shadow(0 4px 6px rgba(0, 0, 0, 0.2));
}

.social .icon {
    width: 32px;
}

@media (max-width: 1200px) {
    .social {
        gap: 5rem;
    }

}

@media (max-width: 600px) {
    .social {
        gap: 2rem;
    }

}

.titulo span {
    font-size: 1.5rem;
}

.boton-nav {
    background-color: #2e2d2d !important;
}

/* ==== CSS NOSOTROS === */

.img-nosotros {
    display: flex;
    justify-content: center;
    padding: 1rem 0;
}

.img-nosotros img {
    width: 80%;
    height: 600px;
}

.boton-servicios {
    border: 0.0001px solid #999999 !important;
    background-color: #353535 !important;
    color: var(--blanco) !important;
}

.boton-servicios:hover {
    background-color: var(--blanco) !important;
    color: #2e2d2d !important;
    border: 1px solid #2e2d2d !important;
}

.bt-enlaces a:hover {
    color: #161616 !important;
    font-weight: bold !important;
}

.boton-contacto {
    background-color: #2e2d2d !important;
}

.boton-contacto:hover {
    background-color: var(--blanco) !important;
    color: #2e2d2d !important;
    border: 2px solid #2e2d2d !important;
}

@media (min-width: 600px) and (max-width: 1275px) {
    .contenedor-nosotros {
        padding-left: 3rem !important;
        padding-right: 3rem !important;
    }

    .contenedor-nosotros .img-nosotros img {
        width: 95%;
        height: 400px;
    }
}

@media (min-width: 320px) and (max-width: 559px) {
    .contenedor-nosotros {
        padding-left: 1.3rem !important;
        padding-right: 1.3rem !important;
    }

    .contenedor-nosotros .img-nosotros img {
        width: 92%;
        height: 250px;
    }
}

/* ==== CSS SERVICIOS === */



/* Pagina cada servicio */

.fondoslider {
    background-color: #dbe2dca8;
}

/* ==== CSS PORTAFOLIO === */

/* Estilo para el formulario de busqueda */
.contenido-busqueda {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: start;
}

.contenido-busqueda form {
    width: 70%;
    display: flex;
    margin-top: 20px;
    justify-content: center;
    margin-bottom: 10px;
}

/* Estilo para la barra de búsqueda */
.contenido-busqueda .barra-busqueda {
    width: 300px;
    padding: 10px 15px;
    font-size: 16px;
    border: 2px solid #ccc;
    border-radius: 25px;
    outline: none;
    transition: all 0.3s ease;
}

.contenido-busqueda .barra-busqueda:focus {
    border-color: #4CAF50;
    box-shadow: 0 0 8px rgba(0, 255, 0, 0.2);
}

.contenido-busqueda .barra-busqueda::placeholder {
    color: #aaa;
    font-style: italic;
}

.contenido-busqueda .categorias {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.contenido-busqueda .categorias a {
    color: var(--oscuro);
    margin: 1rem 1rem;
    font-size: 1.1rem;
    font-weight: 600;
}

.contenido-busqueda .categorias a.activo {
    color: var(--blanco);
    background-color: #00000088;
    padding: 0.1rem 1rem;
    border-radius: 5rem;
    transition: background-color 0.3s ease, color 0.3s ease;
}

@media (min-width: 600px) and (max-width: 1275px) {
    .container-portafolio {
        padding-left: 2.5rem !important;
        padding-right: 2.5rem !important;
    }

    .contenido-busqueda .categorias {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        align-items: center;
        margin-top: 1rem;
    }
}

@media (min-width: 320px) and (max-width: 559px) {
    .container-portafolio {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }

    .contenido-busqueda .categorias {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
        margin-top: 1rem;
        margin-left: 2rem;
        margin-right: 1rem;
    }
}

.contenedor--portafolio {
    width: 100%;
    max-width: auto;
    margin: auto;
    border-radius: 10px;
}

/* GRID Portafolio */
.gridportafolio {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 1.5rem;
    padding: 2rem;
}

.gridportafolio.imagenes-cargadas {
    margin-top: -500px;
    opacity: 1;
}

.gridportafolio .item {
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.568);
    overflow: hidden;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
}

.gridportafolio .item:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.gridportafolio .item img {
    width: 100%;
}

/* Overlay */

.overlay {
    position: fixed;
    inset: 0;
    display: none;
    place-items: center;
    background: rgba(0, 0, 0, 0.94);
    padding: 20px;
    z-index: 999;
}

#overlay.activo {
    display: grid;
}

#btn-cerrar-popup {
    position: absolute;    
    border: none;
    color: var(--oscuro) !important;
    width: 42px;
    height: 42px;
    cursor: pointer;
    border-radius: 999px;
    font-size: 26px;
}

.overlay-contenido {
    width: min(950px, 100vw);
    background: #e6e6e6;
    border-radius: 14px;
    overflow: hidden;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.overlay-contenido img {
    width: 100%;
    height: 100%;
    object-fit: fill;
    display: block;
}

.overlay-texto {
    padding: 22px 22px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
}

.overlay-texto .titulo {
    margin: 0;
    font-size: 20px;
    color: #000000;
}

.overlay-texto .subtitulo {
    margin: 0;
    font-size: 14px;
    color: #4b4b4b;
}

.overlay-texto .descripcion {
    list-style: none;
    padding: 0;
    margin: 10px 0 0;
    text-align: left;
}

.overlay-texto .descripcion li {
    padding: 8px 0;
    border-bottom: 1px solid #c0c0c0;
    font-size: 14px;
    color: #1f1f1f;
}

.overlay-texto .descripcion li:last-child {
    border-bottom: none;
}

@media (min-width:1280px) {
    #btn-cerrar-popup {
        top: 15px;
        right: 10px;
    }
}

/* Responsive */
@media (min-width: 600px) and (max-width: 1275px) {
    .overlay-contenido {
        width: min(600px, 90vw);
        background: #e6e6e6;
        border-radius: 14px;
        overflow: hidden;
        display: grid;
        grid-template-columns: 1fr;
    }

    .overlay-contenido img {
        width: 95%;
        height: 90%;
        object-fit: fill;
        margin: auto;
        display: block;
    }

    #btn-cerrar-popup {
        top: 15px;
        right: 10px;
        border: none;
        color: var(--oscuro) !important;
        width: 42px;
        height: 42px;
        cursor: pointer;
        border-radius: 999px;
        font-size: 26px;
    }

    .overlay-texto {
        text-align: left;
    }
}

@media (min-width: 320px) and (max-width: 559px) {
    .overlay {
        position: fixed;
        inset: 0;
        display: none;
        place-items: center;
        background: rgba(0, 0, 0, 0.94);
        padding-top: 3rem;
        z-index: 999;
    }

    .overlay-contenido {
        width: min(320px, 80vw);
        height: auto;
        max-height: 90vh;
        background: #e6e6e6;
        border-radius: 14px;
        overflow: hidden;
        display: grid;
        grid-template-columns: 1fr;
        padding: 20px;
    }

    .overlay-contenido img {
        width: 800px;
        height: 250px;
        border-radius: 12px;
        object-fit: cover;
        margin-top: 2px;
        margin-bottom: 5px;
        margin-left: auto;
        margin-right: auto;
        display: block;
    }

    #btn-cerrar-popup {
        top: 10px;
        right: 5px;
        border: none;
        color: var(--oscuro) !important;
        width: 42px;
        height: 42px;
        cursor: pointer;
        border-radius: 999px;
        font-size: 26px;
    }

    .overlay-texto {
        padding: 5px 5px;
        text-align: center;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        gap: 2px;
        overflow-y: auto;
    }

    .overlay-texto .titulo {
        margin: 0;
        font-size: 20px;
        color: #000000;
    }

    .overlay-texto .subtitulo {
        margin: 0;
        font-size: 14px;
        color: #4b4b4b;
    }

    .overlay-texto .descripcion {
        list-style: none;
        padding: 0;
        margin: 5px 0 0;
        text-align: left;
        font-size: 12px;
        color: #333;
        max-height: 30vh;
        overflow-y: auto;
    }
}


/* ==== CONTENEDOR PRINCIPAL PROYECTOS DESTACADOS ==== */
.slider-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    width: 95%;
    margin: auto;
    padding: 20px 0;
}

/* ==== TARJETAS  ==== */
.slider {
    display: flex;
    gap: 20px;
    width: 100%;
    overflow: hidden;
    position: relative;
}

.project-card {
    flex: 1;
    min-width: calc(33.33% - 20px);
    background: white;
    border-radius: 12px;
    box-shadow: 0 6px 15px rgba(158, 155, 155, 0.1);
    overflow: hidden;
    animation: slideFade 0.4s ease;
    margin-bottom: 20px;
}

.project-card img {
    width: 100%;
    height: 160px;
    object-fit: fill;
    background: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.project-content {
    padding: 15px;
}

.project-content h3 {
    font-size: 1rem;
    font-weight: 500;
    margin-bottom: 5px;
    color: #000;
}

.project-content p {
    font-size: 0.90rem;
    font-weight: 500;
    color: #727272;
}

/* ==== ANIMACIÓN ==== */
@keyframes slideFade {
    from {
        opacity: 0;
        transform: translateX(15px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

/* ==== BOTONES ==== */
.arrowBtn {
    padding: 6px 8px;
    font-size: 22px;
    font-weight: bold;
    border: none;
    border-radius: 50%;
    color: white;
    cursor: pointer;
    transition: 0.3s;
}

.arrowBtn:disabled {
    background: #ccc;
    cursor: not-allowed;
}

/* ==== RESPONSIVE ==== */

/* Tablet: 2 tarjetas */
@media (max-width: 900px) {
    .project-card {
        min-width: calc(50% - 20px);
    }
}

/* Móvil: 1 tarjeta */
@media (max-width: 600px) {
    .project-card {
        min-width: calc(100% - 20px);
    }
}

/* Desktop : 3 tarjetas */
@container (min-width: 480px) {
    .\@\[480px\]\:gap-8 {
        gap: 10rem !important;
    }
}